Package groovy.lang

## Class Tuple<E>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - groovy.lang.Tuple<E>

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Iterable<E>`, `java.util.Collection<E>`, `java.util.List<E>`
  Direct Known Subclasses:
    `Tuple1`, `Tuple2`, `Tuple3`, `Tuple4`, `Tuple5`, `Tuple6`, `Tuple7`, `Tuple8`, `Tuple9`

      public class Tuple<E>
      extends java.util.AbstractList<E>
      implements java.io.Serializable

  Represents a list of Objects.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Tuple​(E... contents)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `E` | `get​(int index)` |
    `int` | `hashCode()` |
    `int` | `size()` |
    `java.util.List<E>` | `subList​(int fromIndex, int toIndex)` |
    `Tuple<E>` | `subTuple​(int fromIndex, int toIndex)` |

    - ### Methods inherited from class java.util.AbstractList

      `add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.List

      `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray, toArray`

- - ### Constructor Detail

    - #### Tuple

          @SafeVarargs
          public Tuple​(E... contents)

  - ### Method Detail

    - #### get

          public E get​(int index)

      Specified by:
        `get` in interface `java.util.List<E>`
      Specified by:
        `get` in class `java.util.AbstractList<E>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection<E>`
      Specified by:
        `size` in interface `java.util.List<E>`
      Specified by:
        `size` in class `java.util.AbstractCollection<E>`

    - #### subList

          public java.util.List<E> subList​(int fromIndex,
                                           int toIndex)

      Specified by:
        `subList` in interface `java.util.List<E>`
      Overrides:
        `subList` in class `java.util.AbstractList<E>`

    - #### subTuple

          public Tuple<E> subTuple​(int fromIndex,
                                   int toIndex)

    - #### equals

          public boolean equals​(java.lang.Object o)

      Specified by:
        `equals` in interface `java.util.Collection<E>`
      Specified by:
        `equals` in interface `java.util.List<E>`
      Overrides:
        `equals` in class `java.util.AbstractList<E>`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `java.util.Collection<E>`
      Specified by:
        `hashCode` in interface `java.util.List<E>`
      Overrides:
        `hashCode` in class `java.util.AbstractList<E>`